Local Community

GD not installed or something wrong

I installed the YooTheme on a simple WP installation. No images will show on the site. I asked the YooTheme support and they replied with “This is a “server” config issue”.


I hope someone can help.
Thanks

These are the GD settings on Local WP. How come jpeg support is missing?

GD Support enabled
GD Version bundled (2.1.0 compatible)
GIF Read Support enabled
GIF Create Support enabled
PNG Support enabled
libPNG Version 1.6.37
WBMP Support enabled
XBM Support enabled
BMP Support enabled
TGA Read Support enabled

Try re-installing your PHP resource.

Thanks @afragen . I have now tried to reinstall PHP, but the same GD settings have been added, so still no support for JPEG.
Any other suggestions?

The images are probably not regenerated automatically. In your testing, have you tried creating a new, plain WordPress site and installing the theme again?

One other thing to check – what version of Local is installed? You might try downloading and installing the most recent version:

I have created a new plain WP site and installed YooTheme and nothing else. The images do still not show, because of the lack of GD support in Local. I am using version 5.7.4+4876.
I hope someone can help me :slight_smile:

Are you able to attach a couple of example JPEG files that I can use to replicate this?

@ben.turner I’m not sure what the intention is? It’s YooTheme that requires “GD library libjpeg” and Local does not support it right? I don’t have any issues with any other theme or plugin.

Local should support it, though I have no idea of how YooTheme is trying to use that code. I’ll be upfront and say that I’ve never personally used the GD Jpeg module, but as far as I can tell, on a recently created WP site using PHP 7.3.5, it appears that GD’s JPEG module is enabled:

I’ve occasionally seen similar things when plugins or themes try to sniff out enabled extensions and there’s some sort of PHP error. You might try deactivating all plugins to limit things to the bare minimum of moving parts.

@ben.turner thanks, but I do not have the same. Please view screenshot

Nice! (sortof) – so that’s the issue. What’s likely happening is that an older version of the PHP service is being used. A couple of things to verify:

  1. You have the latest version of Local

  2. Re-visit the link that @afragen mention above: How can I manually update downloadable Lightning Services? Pay specific attention to step 4:

    Add a new site and select the services you wish to download again under the “Custom” environment. Repeat this step for any other services you wish to download.

You might need to export this site and re-import it as well so that the PHP configuration is updated.

Can you take a closer look at those things and let us know if that gets the site to be using the Jpeg GD configuration?

Thanks @ben.turner. Just to be clear, what you are suggesting, is to do the same as I have already done?
I have already deleted the PHP and downloaded that service when I created a new site. I also am on the latest version of Local.
What specifically is it that you think I might try, that I did not do before?

I was mostly thinking of having you try it again. I know that you mention that it was already done, but just to be on the safe side, I’d recommend:

  1. Download and install Local 5.7.4
  2. Restart the computer (IDK if this is really necessary, but just in case – something is definitely fishy about all this!)
  3. Manually remove the PHP services
  4. Start Local, and verify the version that is running by clicking “Local > About Local”
  5. Re-download the PHP service by creating a new site with the same version of PHP that is used on the site having issues.
  6. If the original site still doesn’t have that module, try exporting the site and re-importing it into a new Local site.

Thanks @ben.turner, but sorry to report back that id does not change anything.
I have followed the steps you have listed. All of them :slight_smile:

I wonder why I have this issue and you don’t. I am using a MacBook Pro, relatively new, no specific configurations. Surely this issue should be fixable no? Is there not anything else you can advise, so I can get GD JPEG support on Local?

Gotcha @vayu – I took a closer look at your screenshot and noticed that this was being done against PHP 5.7.4. When I created a new, custom environment, I was able to replicate what you are seeing, ie, JPEG support is missing from GD.

When googling, I’m seeing other projects that have had issues compiling JPEG support in PHP, for example this:

I’ll get a bug report created so that we can get this in front of the Local team, but in the meantime, I think you’ll need to downgrade PHP to use 7.3.5 or export and re-import the site into the preferred environment.

Can you try using the preferred environment and let me know if that gets things working for you?

Hey all,

This issue has been patched up and we have released an updated version of PHP 7.4.1 to Local Lightning Services. If you already have PHP 7.4.1 installed in Local, you will need to follow the following instructions to manually get the latest version:

Note: the post above does not contain the path for Linux. If you are on Linux, the folder you will need is ~/.config/Local/lightning-services.

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.